


<!DOCTYPE html>
<html lang="en-US" dir="ltr" class="no-js">
<head prefix="og: http://ogp.me/ns#">
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=Edge">
  <script>(function(d) { d.className = d.className.replace(/\bno-js/, ''); })(document.documentElement);</script>
  <title>sideshowbarker | MDN</title>

  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="robots" content="noindex, nofollow">

  
<link rel="preload" href="/static/fonts/locales/ZillaSlab-Regular.subset.bbc33fb47cf6.woff2" as="font" type="font/woff2"
    crossorigin />
<link rel="preload" href="/static/fonts/locales/ZillaSlab-Bold.subset.e96c15f68c68.woff2" as="font" type="font/woff2"
    crossorigin />
    <link rel="home" href="/en-US/">
    <link rel="license" href="#license">
  

  
  

    <link href="/static/build/styles/mdn.38ac91def7c4.css" rel="stylesheet" type="text/css" />

    
  
  <link href="/static/build/styles/jquery-ui.247554a1b982.css" rel="stylesheet" type="text/css" />
  <link href="/static/build/styles/users.f773b6f90502.css" rel="stylesheet" type="text/css" />


  
<style>
    @font-face {
        font-family: zillaslab;
        font-display: swap;
        src: url(/static/fonts/locales/ZillaSlab-Regular.subset.bbc33fb47cf6.woff2) format('woff2'),
             url(/static/fonts/locales/ZillaSlab-Regular.subset.0357f12613a7.woff) format('woff');
        font-weight: normal;
        font-style: normal;
    }

    @font-face {
        font-family: zillaslab;
        font-display: swap;
        src: url(/static/fonts/locales/ZillaSlab-Bold.subset.e96c15f68c68.woff2) format('woff2'),
             url(/static/fonts/locales/ZillaSlab-Bold.subset.da0ccde4ca4a.woff) format('woff');
        font-weight: bold;
        font-style: normal;
    }
</style>

  

  
    <script>
    // Mozilla DNT Helper
    /* This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0. If a copy of the MPL was not distributed with this file, You can obtain one at http://mozilla.org/MPL/2.0/. */ if(typeof Mozilla==='undefined'){var Mozilla={}}Mozilla.dntEnabled=function(dnt,ua){'use strict';var dntStatus=dnt||navigator.doNotTrack||window.doNotTrack||navigator.msDoNotTrack;var userAgent=ua||navigator.userAgent;var anomalousWinVersions=['Windows NT 6.1','Windows NT 6.2','Windows NT 6.3'];var fxMatch=userAgent.match(/Firefox\/(\d+)/);var ieRegEx=/MSIE|Trident/i;var isIE=ieRegEx.test(userAgent);var platform=userAgent.match(/Windows.+?(?=;)/g);if(isIE&&typeof Array.prototype.indexOf!=='function'){return false}else if(fxMatch&&parseInt(fxMatch[1],10)<32){dntStatus='Unspecified'}else if(isIE&&platform&&anomalousWinVersions.indexOf(platform.toString())!==-1){dntStatus='Unspecified'}else{dntStatus={'0':'Disabled','1':'Enabled'}[dntStatus]||'Unspecified'}return dntStatus==='Enabled'?true:false};
    // only load GA if DNT is not enabled
    if (Mozilla && !Mozilla.dntEnabled()) {
        window.ga=window.ga||function(){(ga.q=ga.q||[]).push(arguments)};ga.l=+new Date;
        ga('create', 'UA-36116321-5', 'mozilla.org');
        ga('set', 'anonymizeIp', true);

        

        // dimension9 == "Section editing"
        

        (function() {
            // http://cfsimplicity.com/61/removing-analytics-clutter-from-campaign-urls
            var win = window;
            var removeUtms = function(){
                var location = win.location;
                if (location.href.indexOf('utm') != -1 && win.history.replaceState) {
                    win.history.replaceState({}, '', location.pathname);
                }
            };

            ga('send', 'pageview', {'hitCallback': removeUtms});
        })();
    }
</script>
<script async src='https://www.google-analytics.com/analytics.js'></script>
  

  
    <script>
LUX=(function(){var a=("undefined"!==typeof(LUX)&&"undefined"!==typeof(LUX.gaMarks)?LUX.gaMarks:[]);var d=("undefined"!==typeof(LUX)&&"undefined"!==typeof(LUX.gaMeasures)?LUX.gaMeasures:[]);var j="LUX_start";var k=window.performance;var l=("undefined"!==typeof(LUX)&&LUX.ns?LUX.ns:(Date.now?Date.now():+(new Date())));if(k&&k.timing&&k.timing.navigationStart){l=k.timing.navigationStart}function f(){if(k&&k.now){return k.now()}var o=Date.now?Date.now():+(new Date());return o-l}function b(n){if(k){if(k.mark){return k.mark(n)}else{if(k.webkitMark){return k.webkitMark(n)}}}a.push({name:n,entryType:"mark",startTime:f(),duration:0});return}function m(p,t,n){if("undefined"===typeof(t)&&h(j)){t=j}if(k){if(k.measure){if(t){if(n){return k.measure(p,t,n)}else{return k.measure(p,t)}}else{return k.measure(p)}}else{if(k.webkitMeasure){return k.webkitMeasure(p,t,n)}}}var r=0,o=f();if(t){var s=h(t);if(s){r=s.startTime}else{if(k&&k.timing&&k.timing[t]){r=k.timing[t]-k.timing.navigationStart}else{return}}}if(n){var q=h(n);if(q){o=q.startTime}else{if(k&&k.timing&&k.timing[n]){o=k.timing[n]-k.timing.navigationStart}else{return}}}d.push({name:p,entryType:"measure",startTime:r,duration:(o-r)});return}function h(n){return c(n,g())}function c(p,o){for(i=o.length-1;i>=0;i--){var n=o[i];if(p===n.name){return n}}return undefined}function g(){if(k){if(k.getEntriesByType){return k.getEntriesByType("mark")}else{if(k.webkitGetEntriesByType){return k.webkitGetEntriesByType("mark")}}}return a}return{mark:b,measure:m,gaMarks:a,gaMeasures:d}})();LUX.ns=(Date.now?Date.now():+(new Date()));LUX.ac=[];LUX.cmd=function(a){LUX.ac.push(a)};LUX.init=function(){LUX.cmd(["init"])};LUX.send=function(){LUX.cmd(["send"])};LUX.addData=function(a,b){LUX.cmd(["addData",a,b])};LUX_ae=[];window.addEventListener("error",function(a){LUX_ae.push(a)});LUX_al=[];if("function"===typeof(PerformanceObserver)){var LongTaskObserver=new PerformanceObserver(function(c){var b=c.getEntries();for(var a=0;a<b.length;a++){var d=b[a];LUX_al.push(d)}});try{LongTaskObserver.observe({entryTypes:["longtask"],buffered:true})}catch(e){}};
</script>
<script src="https://cdn.speedcurve.com/js/lux.js?id=108906238" async defer crossorigin="anonymous"></script>
  

  
    <!-- common social tags -->
    
    <meta property="og:type" content="website">
    <meta property="og:image" content="https://developer.mozilla.org/static/img/opengraph-logo.72382e605ce3.png">
    <meta property="og:site_name" content="MDN Web Docs">
    <meta name="twitter:card" content="summary">
    <meta name="twitter:image" content="https://developer.mozilla.org/static/img/opengraph-logo.72382e605ce3.png">
    <meta name="twitter:site" content="@MozDevNet">
    <meta name="twitter:creator" content="@MozDevNet">
    <link rel="search" type="application/opensearchdescription+xml" href="https://developer.mozilla.org/en-US/search/xml" title="MDN Web Docs">
    
  
  <!-- third-generation iPad with high-resolution Retina display: -->
  <link rel="apple-touch-icon-precomposed" sizes="144x144" href="/static/img/favicon144.e7e21ca263ca.png">
  <!-- iPhone with high-resolution Retina display: -->
  <link rel="apple-touch-icon-precomposed" sizes="114x114" href="/static/img/favicon114.d526f38b09c5.png">
  <!-- first- and second-generation iPad: -->
  <link rel="apple-touch-icon-precomposed" sizes="72x72" href="/static/img/favicon72.cc65d1d762a0.png">
  <!-- non-Retina iPhone, iPod Touch, and Android 2.1+ devices: -->
  <link rel="apple-touch-icon-precomposed" href="/static/img/favicon57.de33179910ae.png">
  <!-- basic favicon -->
  <link rel="shortcut icon" href="/static/img/favicon32.7f3da72dcea1.png">

  
  
    <link href="/static/build/styles/print.ca192a439743.css" rel="stylesheet" type="text/css" media="print" />
  
</head>
<body  class="user user-display">

  <script>
    // make sure global mdn object exists
    var mdn = window.mdn || {};

    (function(win) {
        'use strict';

        win.mdn.features = {};
        win.mdn.stripePublicKey = 'pk_live_GZl4tCi8J5mWhKbJeRey4DSy';
        win.mdn.contributionSupportEmail = 'mdn-support@mozilla.com';

        win.mdn.siteUrl = 'https://developer.mozilla.org';
        win.mdn.wikiSiteUrl = 'https://wiki.developer.mozilla.org';
        win.mdn.staticPath = '/static/';
        win.mdn.wiki = {
            autosuggestTitleUrl: '/en-US/docs/get-documents'
        };

        win.mdn.notifications = [];

        

        // interactive editor config
        win.mdn.interactiveEditor = {
            siteUrl: "https://developer.mozilla.org",
            editorUrl: "https://interactive-examples.mdn.mozilla.net"
        };
        win.mdn.langCookieName = "django_language";

    })(this);
</script>
    
    <ul id="nav-access">
  <li><a href="#content" id="skip-main">Skip to main content</a></li>
  <li><a id="skip-language" href="#language">Select language</a></li>
  <li><a href="#q" id="skip-search">Skip to search</a></li>
</ul>

    
    

    <!-- Header -->
    <header id="main-header" class="header-main">
      <a href="/en-US/" class="logo">MDN Web Docs</a>
      <div class="nav-toolbox-wrapper">
        <nav id="main-nav" class="nav-main" role="navigation">
    <ul>
        <li class="nav-main-item">
            <a href="/en-US/docs/Web">Technologies
                <svg class="icon icon-caret-down" xmlns="http://www.w3.org/2000/svg" width="16" height="28" viewBox="0 0 16 28"><path d="M16 11a.99.99 0 0 1-.297.703l-7 7C8.516 18.89 8.265 19 8 19s-.516-.109-.703-.297l-7-7A.996.996 0 0 1 0 11c0-.547.453-1 1-1h14c.547 0 1 .453 1 1z"/></svg>
            </a>
            <div class="submenu js-submenu" id="nav-tech-submenu">
                <div class="submenu-column">
                  <ul>
                    <li><a href="/en-US/docs/Web/HTML">HTML</a></li>
                    <li><a href="/en-US/docs/Web/CSS">CSS</a></li>
                    <li><a href="/en-US/docs/Web/JavaScript">JavaScript</a></li>
                    <li><a href="/en-US/docs/Web/Guide/Graphics">Graphics</a></li>
                    <li><a href="/en-US/docs/Web/HTTP">HTTP</a></li>
                    <li><a href="/en-US/docs/Web/API">APIs / DOM</a></li>
                    <li><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions">Browser Extensions</a></li>
                    <li><a href="/en-US/docs/Web/MathML">MathML</a></li>
                  </ul>
                </div>
            </div>
        </li>
        <li class="nav-main-item">
            <a href="/en-US/docs/Learn">References & Guides
                <svg class="icon icon-caret-down" xmlns="http://www.w3.org/2000/svg" width="16" height="28" viewBox="0 0 16 28"><path d="M16 11a.99.99 0 0 1-.297.703l-7 7C8.516 18.89 8.265 19 8 19s-.516-.109-.703-.297l-7-7A.996.996 0 0 1 0 11c0-.547.453-1 1-1h14c.547 0 1 .453 1 1z"/></svg>
            </a>
            <div class="submenu js-submenu" id="nav-learn-submenu">
                <div class="submenu-column">
                  <ul>
                    <li><a href="/en-US/docs/Learn">Learn web development</a></li>
                    <li><a href="/en-US/docs/Web/Tutorials">Tutorials</a></li>
                    <li><a href="/en-US/docs/Web/Reference">References</a></li>
                    <li><a href="/en-US/docs/Web/Guide">Developer Guides</a></li>
                    <li><a href="/en-US/docs/Web/Accessibility">Accessibility</a></li>
                    <li><a href="/en-US/docs/Games">Game development</a></li>
                    <li><a href="/en-US/docs/Web">...more docs</a></li>
                  </ul>
                </div>
            </div>
        </li>
        <li class="nav-main-item">
            <a href="/en-US/docs/MDN/Feedback">Feedback
                <svg class="icon icon-caret-down" xmlns="http://www.w3.org/2000/svg" width="16" height="28" viewBox="0 0 16 28"><path d="M16 11a.99.99 0 0 1-.297.703l-7 7C8.516 18.89 8.265 19 8 19s-.516-.109-.703-.297l-7-7A.996.996 0 0 1 0 11c0-.547.453-1 1-1h14c.547 0 1 .453 1 1z"/></svg>
            </a>
            <div class="submenu js-submenu" id="nav-contact-submenu">
              <div class="submenu-column">
                <ul>
                  <li>
                      <a href="https://support.mozilla.org/">Get Firefox help
                          <svg class="icon icon-external-link" xmlns="http://www.w3.org/2000/svg" width="28" height="28" viewBox="0 0 28 28" aria-hidden="true"><path d="M22 14.5v5c0 2.484-2.016 4.5-4.5 4.5h-13A4.502 4.502 0 0 1 0 19.5v-13C0 4.016 2.016 2 4.5 2h11c.281 0 .5.219.5.5v1c0 .281-.219.5-.5.5h-11A2.507 2.507 0 0 0 2 6.5v13C2 20.875 3.125 22 4.5 22h13c1.375 0 2.5-1.125 2.5-2.5v-5c0-.281.219-.5.5-.5h1c.281 0 .5.219.5.5zM28 1v8c0 .547-.453 1-1 1a.99.99 0 0 1-.703-.297l-2.75-2.75L13.36 17.14c-.094.094-.234.156-.359.156s-.266-.063-.359-.156l-1.781-1.781c-.094-.094-.156-.234-.156-.359s.063-.266.156-.359L21.048 4.454l-2.75-2.75a.996.996 0 0 1-.297-.703c0-.547.453-1 1-1h8c.547 0 1 .453 1 1z"/></svg>
                      </a>
                  </li>
                  <li>
                      <a href="https://stackoverflow.com/">Get web development help
                          <svg class="icon icon-external-link" xmlns="http://www.w3.org/2000/svg" width="28" height="28" viewBox="0 0 28 28" aria-hidden="true"><path d="M22 14.5v5c0 2.484-2.016 4.5-4.5 4.5h-13A4.502 4.502 0 0 1 0 19.5v-13C0 4.016 2.016 2 4.5 2h11c.281 0 .5.219.5.5v1c0 .281-.219.5-.5.5h-11A2.507 2.507 0 0 0 2 6.5v13C2 20.875 3.125 22 4.5 22h13c1.375 0 2.5-1.125 2.5-2.5v-5c0-.281.219-.5.5-.5h1c.281 0 .5.219.5.5zM28 1v8c0 .547-.453 1-1 1a.99.99 0 0 1-.703-.297l-2.75-2.75L13.36 17.14c-.094.094-.234.156-.359.156s-.266-.063-.359-.156l-1.781-1.781c-.094-.094-.156-.234-.156-.359s.063-.266.156-.359L21.048 4.454l-2.75-2.75a.996.996 0 0 1-.297-.703c0-.547.453-1 1-1h8c.547 0 1 .453 1 1z"/></svg>
                      </a>
                  </li>
                </ul>
                <ul>
                  <li>
                      <a href="/en-US/docs/MDN/Community">Join the MDN community</a>
                  </li>
                  <li>
                      <a target="_blank" rel="noopener" href="https://github.com/mdn/sprints/issues/new?template=issue-template.md&projects=mdn/sprints/2&labels=user-report&title=https%3A//developer.mozilla.org/en-US/profiles/sideshowbarker%3Futm_campaign%3DWiki%2BDoc%2BEdits%26utm_medium%3Demail%26utm_source%3Ddeveloper.mozilla.org">Report a content problem
                          <svg class="icon icon-external-link" xmlns="http://www.w3.org/2000/svg" width="28" height="28" viewBox="0 0 28 28" aria-hidden="true"><path d="M22 14.5v5c0 2.484-2.016 4.5-4.5 4.5h-13A4.502 4.502 0 0 1 0 19.5v-13C0 4.016 2.016 2 4.5 2h11c.281 0 .5.219.5.5v1c0 .281-.219.5-.5.5h-11A2.507 2.507 0 0 0 2 6.5v13C2 20.875 3.125 22 4.5 22h13c1.375 0 2.5-1.125 2.5-2.5v-5c0-.281.219-.5.5-.5h1c.281 0 .5.219.5.5zM28 1v8c0 .547-.453 1-1 1a.99.99 0 0 1-.703-.297l-2.75-2.75L13.36 17.14c-.094.094-.234.156-.359.156s-.266-.063-.359-.156l-1.781-1.781c-.094-.094-.156-.234-.156-.359s.063-.266.156-.359L21.048 4.454l-2.75-2.75a.996.996 0 0 1-.297-.703c0-.547.453-1 1-1h8c.547 0 1 .453 1 1z"/></svg>
                      </a>
                  </li>
                  <li>
                      <a target="_blank" rel="noopener" href="https://github.com/mdn/kuma/issues/new">Report an issue
                          <svg class="icon icon-external-link" xmlns="http://www.w3.org/2000/svg" width="28" height="28" viewBox="0 0 28 28" aria-hidden="true"><path d="M22 14.5v5c0 2.484-2.016 4.5-4.5 4.5h-13A4.502 4.502 0 0 1 0 19.5v-13C0 4.016 2.016 2 4.5 2h11c.281 0 .5.219.5.5v1c0 .281-.219.5-.5.5h-11A2.507 2.507 0 0 0 2 6.5v13C2 20.875 3.125 22 4.5 22h13c1.375 0 2.5-1.125 2.5-2.5v-5c0-.281.219-.5.5-.5h1c.281 0 .5.219.5.5zM28 1v8c0 .547-.453 1-1 1a.99.99 0 0 1-.703-.297l-2.75-2.75L13.36 17.14c-.094.094-.234.156-.359.156s-.266-.063-.359-.156l-1.781-1.781c-.094-.094-.156-.234-.156-.359s.063-.266.156-.359L21.048 4.454l-2.75-2.75a.996.996 0 0 1-.297-.703c0-.547.453-1 1-1h8c.547 0 1 .453 1 1z"/></svg>
                      </a>
                  </li>
                </ul>
              </div>
          </div>
      </li>
  </ul>
</nav>
        <div id="toolbox" class="toolbox">
  <ul>
    
    <li class="nav-login"><div class="login">
    
        
        <a href="/en-US/users/account/signup-landing?next=%2Fen-US%2Fprofiles%2Fsideshowbarker%3Futm_campaign%3DWiki%2BDoc%2BEdits%26utm_medium%3Demail%26utm_source%3Ddeveloper.mozilla.org" class="login-link js-login-link" rel="nofollow">
            Sign in
        </a>
    
</div></li>
  </ul>
</div>
      </div>
      <form id="nav-main-search" action="/en-US/search" method="get" role="search" class="nav-main-search">
  <div class="search-wrap">
    <label for="main-q" class="offscreen">Search</label>
    <input type="search" id="main-q" name="q" placeholder="Search" data-value="" value="" aria-hidden="true" />
    <span class="search-trigger">
        <svg class="icon icon-search" xmlns="http://www.w3.org/2000/svg" width="26" height="28" viewBox="0 0 26 28" aria-hidden="true">
    <path d="M18 13c0-3.859-3.141-7-7-7s-7 3.141-7 7 3.141 7 7 7 7-3.141 7-7zm8 13c0 1.094-.906 2-2 2a1.96 1.96 0 0 1-1.406-.594l-5.359-5.344a10.971 10.971 0 0 1-6.234 1.937c-6.078 0-11-4.922-11-11s4.922-11 11-11 11 4.922 11 11c0 2.219-.672 4.406-1.937 6.234l5.359 5.359c.359.359.578.875.578 1.406z"/>
</svg>
    </span>
    <button type="submit" class="offscreen">Search</button>
    <button type="button" id="close-header-search" class="close-header-search transparent">
        <span class="offscreen">Close search</span>
        <svg class="icon icon-close" xmlns="http://www.w3.org/2000/svg" width="22" height="28" viewBox="0 0 22 28" aria-hidden="true" role="img"><title></title><path d="M20.281 20.656c0 .391-.156.781-.438 1.062l-2.125 2.125c-.281.281-.672.438-1.062.438s-.781-.156-1.062-.438L11 19.249l-4.594 4.594c-.281.281-.672.438-1.062.438s-.781-.156-1.062-.438l-2.125-2.125c-.281-.281-.438-.672-.438-1.062s.156-.781.438-1.062L6.751 15l-4.594-4.594c-.281-.281-.438-.672-.438-1.062s.156-.781.438-1.062l2.125-2.125c.281-.281.672-.438 1.062-.438s.781.156 1.062.438L11 10.751l4.594-4.594c.281-.281.672-.438 1.062-.438s.781.156 1.062.438l2.125 2.125c.281.281.438.672.438 1.062s-.156.781-.438 1.062L15.249 15l4.594 4.594c.281.281.438.672.438 1.062z"/></svg>
    </button>
  </div>
</form>
    </header> 

  <!-- Content will go here -->
  <main id="content">
      
      <div class="center clear">
      
<section id="content">
<div class="wrap">

  <section id="content-main" class="full">
    <section id="user-head" class="column-container column-container-reverse vcard user-head">
      <div class="column-10">
        
          

<h1 class="user-title">
    <span class="nickname">sideshowbarker</span>
    
        <b class="user-title-fullname">(<span class="fn">Michael[tm] Smith</span>)</b>
    
</h1>

<div class="user-buttons">
  

  

  <!-- Only shown for the user and admins -->
  
</div>

<ul class="user-info">
  
  <li class="org">W3C</li>
  <li class="loc">Tokyo</li>
  <li class="irc">IRC: sideshowbarker</li>
</ul>


<ul class="user-links">
  

  
    
    <li class="github">
        <svg class="icon icon-github" xmlns="http://www.w3.org/2000/svg" width="24" height="28" viewBox="0 0 24 28" aria-label="GitHub" role="img" focusable="false">
    <title>Github</title>
    <path d="M12 2c6.625 0 12 5.375 12 12 0 5.297-3.437 9.797-8.203 11.391-.609.109-.828-.266-.828-.578 0-.391.016-1.687.016-3.297 0-1.125-.375-1.844-.812-2.219 2.672-.297 5.484-1.313 5.484-5.922 0-1.313-.469-2.375-1.234-3.219.125-.313.531-1.531-.125-3.187-1-.313-3.297 1.234-3.297 1.234a11.28 11.28 0 0 0-6 0S6.704 6.656 5.704 6.969c-.656 1.656-.25 2.875-.125 3.187-.766.844-1.234 1.906-1.234 3.219 0 4.594 2.797 5.625 5.469 5.922-.344.313-.656.844-.766 1.609-.688.313-2.438.844-3.484-1-.656-1.141-1.844-1.234-1.844-1.234-1.172-.016-.078.734-.078.734.781.359 1.328 1.75 1.328 1.75.703 2.141 4.047 1.422 4.047 1.422 0 1 .016 1.937.016 2.234 0 .313-.219.688-.828.578C3.439 23.796.002 19.296.002 13.999c0-6.625 5.375-12 12-12zM4.547 19.234c.031-.063-.016-.141-.109-.187-.094-.031-.172-.016-.203.031-.031.063.016.141.109.187.078.047.172.031.203-.031zm.484.532c.063-.047.047-.156-.031-.25-.078-.078-.187-.109-.25-.047-.063.047-.047.156.031.25.078.078.187.109.25.047zm.469.703c.078-.063.078-.187 0-.297-.063-.109-.187-.156-.266-.094-.078.047-.078.172 0 .281s.203.156.266.109zm.656.656c.063-.063.031-.203-.063-.297-.109-.109-.25-.125-.313-.047-.078.063-.047.203.063.297.109.109.25.125.313.047zm.891.391c.031-.094-.063-.203-.203-.25-.125-.031-.266.016-.297.109s.063.203.203.234c.125.047.266 0 .297-.094zm.984.078c0-.109-.125-.187-.266-.172-.141 0-.25.078-.25.172 0 .109.109.187.266.172.141 0 .25-.078.25-.172zm.906-.156c-.016-.094-.141-.156-.281-.141-.141.031-.234.125-.219.234.016.094.141.156.281.125s.234-.125.219-.219z"/>
</svg>
        <a href="https://github.com/sideshowbarker" rel="me external" class="url">GitHub</a>
    </li>
    
  

  
    <li class="stackoverflow">
        <svg class="icon icon-stack-overflow" xmlns="http://www.w3.org/2000/svg" width="24" height="28" viewBox="0 0 24 28" aria-label="Stack Overflow" role="img" focusable="false">
    <title>Stack Overflow</title>
    <path d="M20.141 25.5H2.672V18h-2.5v10h22.469V18h-2.5v7.5zM5.422 17.313l.516-2.453 12.234 2.578-.516 2.438zm1.609-5.844l1.047-2.281 11.328 5.297-1.047 2.266zm3.141-5.563l1.594-1.922L21.36 12l-1.594 1.922zM16.375 0l7.453 10.016-2 1.5L14.375 1.5zM5.156 22.984V20.5h12.5v2.484h-12.5z"/>
</svg>
        <a href="https://stackoverflow.com/users/441757/sideshowbarker" rel="me external" class="url">Stack Overflow</a>
    </li>
  

  

  
    <li class="mozillians">
        <svg class="icon icon-group" xmlns="http://www.w3.org/2000/svg" width="30" height="28" viewBox="0 0 30 28" aria-hidden="true">
    <path d="M9.266 14a5.532 5.532 0 0 0-4.141 2H3.031C1.468 16 0 15.25 0 13.516 0 12.25-.047 8 1.937 8c.328 0 1.953 1.328 4.062 1.328.719 0 1.406-.125 2.078-.359A7.624 7.624 0 0 0 7.999 10c0 1.422.453 2.828 1.266 4zM26 23.953C26 26.484 24.328 28 21.828 28H8.172C5.672 28 4 26.484 4 23.953 4 20.422 4.828 15 9.406 15c.531 0 2.469 2.172 5.594 2.172S20.063 15 20.594 15C25.172 15 26 20.422 26 23.953zM10 4c0 2.203-1.797 4-4 4S2 6.203 2 4s1.797-4 4-4 4 1.797 4 4zm11 6c0 3.313-2.688 6-6 6s-6-2.688-6-6 2.688-6 6-6 6 2.688 6 6zm9 3.516C30 15.25 28.531 16 26.969 16h-2.094a5.532 5.532 0 0 0-4.141-2A7.066 7.066 0 0 0 22 10a7.6 7.6 0 0 0-.078-1.031A6.258 6.258 0 0 0 24 9.328C26.109 9.328 27.734 8 28.062 8c1.984 0 1.937 4.25 1.937 5.516zM28 4c0 2.203-1.797 4-4 4s-4-1.797-4-4 1.797-4 4-4 4 1.797 4 4z"/>
</svg>
        <a href="https://mozillians.org/u/sideshowbarker/" rel="me external" class="url">Mozillians</a>
    </li>
  

  

  
    <li class="discourse">
        <svg class="icon icon-discourse" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512" aria-label="Discourse" role="img" focusable="false">
    <title>Discourse</title>
    <path fill="currentColor" d="M225.9 32C103.3 32 0 130.5 0 252.1 0 256 .1 480 .1 480l225.8-.2c122.7 0 222.1-102.3 222.1-223.9C448 134.3 348.6 32 225.9 32zM224 384c-19.4 0-37.9-4.3-54.4-12.1L88.5 392l22.9-75c-9.8-18.1-15.4-38.9-15.4-61 0-70.7 57.3-128 128-128s128 57.3 128 128-57.3 128-128 128z"/>
</svg>

        <a href="https://discourse.mozilla.org/u/sideshowbarker/" rel="me external" class="url">Discourse</a>
    </li>
  

</ul>

<div class="user-since">Member since <time datetime="2012-06-04T15:09:17-07:00">Jun 4, 2012</time></div>

        
      </div>
      <div class="column-2 ">
        <figure>
  <img src="https://avatars2.githubusercontent.com/u/194984?v=4" alt="sideshowbarker" width="200" height="200" class="user-photo avatar" />
</figure>
      </div>
    </section><!-- /#user-head -->

          <section id="docs-activity" class="user-section">
            <header>
              <h2>Recent Docs Activity</h2> <a href="/en-US/dashboards/revisions?user=sideshowbarker" class="button">View all activity</a>
            </header>

            <table class="activity">
              <thead>
                <th scope="col" class="activity-page">Page</th>
                <th scope="col" class="activity-date">Date</th>
                <th scope="col" class="activity-summary">Comment</th>
              </thead>
              <tbody>
                
                <tr>
                  <th scope="row">
                      <h3><a href="/en-US/docs/Web/API/VisualViewport">VisualViewport</a></h3>
                      <ul class="activity-actions">
                          <li><a href="/en-US/docs/Web/API/VisualViewport$edit" class="edit" rel="nofollow">Edit page</a></li>
                          <li><a href="/en-US/docs/Web/API/VisualViewport$compare?from=1616261&amp;to=1616262" rel="nofollow" class="diff">View complete diff</a></li>
                          <li><a href="/en-US/docs/Web/API/VisualViewport$history" class="history" rel="nofollow">View page history</a></li>
                      </ul>
                  </th>
                  <td><time datetime="2020-04-05T00:30:32.478450-07:00">Apr 5, 2020</time><br />
                      <time datetime="2020-04-05T00:30:32.478450-07:00">12:30:32 AM</time></td>
                  
                  <td>Revert to revision of 2019-10-05 06:16:55.744273 by madebyfabian: &#34;Misplaced translation&#34;</td>
                </tr>
                
                <tr>
                  <th scope="row">
                      <h3><a href="/en-US/docs/Web/HTML/Element/meta">&lt;meta&gt;: The Document-level Metadata element</a></h3>
                      <ul class="activity-actions">
                          <li><a href="/en-US/docs/Web/HTML/Element/meta$edit" class="edit" rel="nofollow">Edit page</a></li>
                          <li><a href="/en-US/docs/Web/HTML/Element/meta$compare?from=1616171&amp;to=1616172" rel="nofollow" class="diff">View complete diff</a></li>
                          <li><a href="/en-US/docs/Web/HTML/Element/meta$history" class="history" rel="nofollow">View page history</a></li>
                      </ul>
                  </th>
                  <td><time datetime="2020-04-04T04:44:40.280777-07:00">Apr 4, 2020</time><br />
                      <time datetime="2020-04-04T04:44:40.280777-07:00">4:44:40 AM</time></td>
                  
                  <td></td>
                </tr>
                
                <tr>
                  <th scope="row">
                      <h3><a href="/en-US/docs/Web/HTML/Element/meta">&lt;meta&gt;: The Document-level Metadata element</a></h3>
                      <ul class="activity-actions">
                          <li><a href="/en-US/docs/Web/HTML/Element/meta$edit" class="edit" rel="nofollow">Edit page</a></li>
                          <li><a href="/en-US/docs/Web/HTML/Element/meta$compare?from=1616170&amp;to=1616171" rel="nofollow" class="diff">View complete diff</a></li>
                          <li><a href="/en-US/docs/Web/HTML/Element/meta$history" class="history" rel="nofollow">View page history</a></li>
                      </ul>
                  </th>
                  <td><time datetime="2020-04-04T04:44:03.479797-07:00">Apr 4, 2020</time><br />
                      <time datetime="2020-04-04T04:44:03.479797-07:00">4:44:03 AM</time></td>
                  
                  <td>Not a typo; the header is named &#34;Referer&#34;</td>
                </tr>
                
                <tr>
                  <th scope="row">
                      <h3><a href="/en-US/docs/Web/API/HTMLHyperlinkElementUtils/toString">HTMLHyperlinkElementUtils.toString()</a></h3>
                      <ul class="activity-actions">
                          <li><a href="/en-US/docs/Web/API/HTMLHyperlinkElementUtils/toString$edit" class="edit" rel="nofollow">Edit page</a></li>
                          <li><a href="/en-US/docs/Web/API/HTMLHyperlinkElementUtils/toString$compare?from=1511127&amp;to=1615735" rel="nofollow" class="diff">View complete diff</a></li>
                          <li><a href="/en-US/docs/Web/API/HTMLHyperlinkElementUtils/toString$history" class="history" rel="nofollow">View page history</a></li>
                      </ul>
                  </th>
                  <td><time datetime="2020-04-01T03:15:08.995818-07:00">Apr 1, 2020</time><br />
                      <time datetime="2020-04-01T03:15:08.995818-07:00">3:15:08 AM</time></td>
                  
                  <td>Add Specifications table</td>
                </tr>
                
                <tr>
                  <th scope="row">
                      <h3><a href="/en-US/docs/Web/API/Location/toString">Location: toString</a></h3>
                      <ul class="activity-actions">
                          <li><a href="/en-US/docs/Web/API/Location/toString$edit" class="edit" rel="nofollow">Edit page</a></li>
                          <li><a href="/en-US/docs/Web/API/Location/toString$compare?from=768191&amp;to=1615734" rel="nofollow" class="diff">View complete diff</a></li>
                          <li><a href="/en-US/docs/Web/API/Location/toString$history" class="history" rel="nofollow">View page history</a></li>
                      </ul>
                  </th>
                  <td><time datetime="2020-04-01T03:12:11.160915-07:00">Apr 1, 2020</time><br />
                      <time datetime="2020-04-01T03:12:11.160915-07:00">3:12:11 AM</time></td>
                  
                  <td>Un-redirect</td>
                </tr>
                
              </tbody>
              <tfoot>
              </tfoot>
            </table>
          </section><!-- /#docs-activity -->

  </section><!-- /#content-main -->
</div>
</section>

      </div>
  </main>
  <!-- Footer -->
    <footer id="nav-footer" class="nav-footer">
      <div class="center">
          <a href="/en-US/" class="nav-footer-logo">MDN Web Docs</a>
<div class="footer-group footer-group-mdn">
  <h2 class="footer-title">MDN</h2>
  <ul class="footer-list">
    <li><a href="/en-US/docs/Web">Web Technologies</a></li>
    <li><a href="/en-US/docs/Learn">Learn Web Development</a></li>
    <li><a href="/docs/MDN/About">About MDN</a></li>
    <li><a href="/en-US/docs/MDN/Feedback">Feedback</a></li>
    <li class="footer-social">
        <a href="https://twitter.com/mozdevnet">
            <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-twitter" width="26" height="28" viewBox="0 0 26 28" aria-label="Twitter" role="img" focusable="false">
    <title>Twitter</title>
    <path d="M25.312 6.375a10.85 10.85 0 0 1-2.531 2.609c.016.219.016.438.016.656 0 6.672-5.078 14.359-14.359 14.359-2.859 0-5.516-.828-7.75-2.266.406.047.797.063 1.219.063 2.359 0 4.531-.797 6.266-2.156a5.056 5.056 0 0 1-4.719-3.5c.313.047.625.078.953.078.453 0 .906-.063 1.328-.172a5.048 5.048 0 0 1-4.047-4.953v-.063a5.093 5.093 0 0 0 2.281.641 5.044 5.044 0 0 1-2.25-4.203c0-.938.25-1.797.688-2.547a14.344 14.344 0 0 0 10.406 5.281 5.708 5.708 0 0 1-.125-1.156 5.045 5.045 0 0 1 5.047-5.047 5.03 5.03 0 0 1 3.687 1.594 9.943 9.943 0 0 0 3.203-1.219 5.032 5.032 0 0 1-2.219 2.781c1.016-.109 2-.391 2.906-.781z"></path>
</svg>
        </a>
    </li>
    <li class="footer-social">
        <a href="https://github.com/mdn/">
            <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-github" width="24" height="28" viewBox="0 0 24 28" aria-label="GitHub" role="img" focusable="false">
    <title>GitHub</title>
    <path d="M12 2c6.625 0 12 5.375 12 12 0 5.297-3.437 9.797-8.203 11.391-.609.109-.828-.266-.828-.578 0-.391.016-1.687.016-3.297 0-1.125-.375-1.844-.812-2.219 2.672-.297 5.484-1.313 5.484-5.922 0-1.313-.469-2.375-1.234-3.219.125-.313.531-1.531-.125-3.187-1-.313-3.297 1.234-3.297 1.234a11.28 11.28 0 0 0-6 0S6.704 6.656 5.704 6.969c-.656 1.656-.25 2.875-.125 3.187-.766.844-1.234 1.906-1.234 3.219 0 4.594 2.797 5.625 5.469 5.922-.344.313-.656.844-.766 1.609-.688.313-2.438.844-3.484-1-.656-1.141-1.844-1.234-1.844-1.234-1.172-.016-.078.734-.078.734.781.359 1.328 1.75 1.328 1.75.703 2.141 4.047 1.422 4.047 1.422 0 1 .016 1.937.016 2.234 0 .313-.219.688-.828.578C3.439 23.796.002 19.296.002 13.999c0-6.625 5.375-12 12-12zM4.547 19.234c.031-.063-.016-.141-.109-.187-.094-.031-.172-.016-.203.031-.031.063.016.141.109.187.078.047.172.031.203-.031zm.484.532c.063-.047.047-.156-.031-.25-.078-.078-.187-.109-.25-.047-.063.047-.047.156.031.25.078.078.187.109.25.047zm.469.703c.078-.063.078-.187 0-.297-.063-.109-.187-.156-.266-.094-.078.047-.078.172 0 .281s.203.156.266.109zm.656.656c.063-.063.031-.203-.063-.297-.109-.109-.25-.125-.313-.047-.078.063-.047.203.063.297.109.109.25.125.313.047zm.891.391c.031-.094-.063-.203-.203-.25-.125-.031-.266.016-.297.109s.063.203.203.234c.125.047.266 0 .297-.094zm.984.078c0-.109-.125-.187-.266-.172-.141 0-.25.078-.25.172 0 .109.109.187.266.172.141 0 .25-.078.25-.172zm.906-.156c-.016-.094-.141-.156-.281-.141-.141.031-.234.125-.219.234.016.094.141.156.281.125s.234-.125.219-.219z"></path>
</svg>
        </a>
    </li>
  </ul>
</div>

          <a href="https://mozilla.org" class="nav-footer-mozilla">Mozilla</a>
<div class="footer-group footer-group-mozilla">
  <h2 class="footer-title">Mozilla</h2>
  <ul class="footer-list">
    <li><a href="https://www.mozilla.org/about/">About</a></li>
    <li><a href="https://www.mozilla.org/contact/">Contact Us</a></li>
    <li><a href="https://www.mozilla.org/firefox/?utm_source=developer.mozilla.org&utm_campaign=footer&utm_medium=referral">Firefox</a></li>
    <li class="footer-social">
        <a href="https://twitter.com/mozilla">
            <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-twitter" width="26" height="28" viewBox="0 0 26 28" aria-label="Twitter" role="img" focusable="false">
    <title>Twitter</title>
    <path d="M25.312 6.375a10.85 10.85 0 0 1-2.531 2.609c.016.219.016.438.016.656 0 6.672-5.078 14.359-14.359 14.359-2.859 0-5.516-.828-7.75-2.266.406.047.797.063 1.219.063 2.359 0 4.531-.797 6.266-2.156a5.056 5.056 0 0 1-4.719-3.5c.313.047.625.078.953.078.453 0 .906-.063 1.328-.172a5.048 5.048 0 0 1-4.047-4.953v-.063a5.093 5.093 0 0 0 2.281.641 5.044 5.044 0 0 1-2.25-4.203c0-.938.25-1.797.688-2.547a14.344 14.344 0 0 0 10.406 5.281 5.708 5.708 0 0 1-.125-1.156 5.045 5.045 0 0 1 5.047-5.047 5.03 5.03 0 0 1 3.687 1.594 9.943 9.943 0 0 0 3.203-1.219 5.032 5.032 0 0 1-2.219 2.781c1.016-.109 2-.391 2.906-.781z"></path>
</svg>
        </a>
    </li>
    <li class="footer-social">
        <a href="https://www.instagram.com/mozillagram/">
            <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-instagram" width="24" height="28" viewBox="0 0 24 28" aria-label="Instagram" role="img" focusable="false">
    <title>Instagram</title>
    <path d="M16 14c0-2.203-1.797-4-4-4s-4 1.797-4 4 1.797 4 4 4 4-1.797 4-4zm2.156 0c0 3.406-2.75 6.156-6.156 6.156S5.844 17.406 5.844 14 8.594 7.844 12 7.844s6.156 2.75 6.156 6.156zm1.688-6.406c0 .797-.641 1.437-1.437 1.437S16.97 8.39 16.97 7.594s.641-1.437 1.437-1.437 1.437.641 1.437 1.437zM12 4.156c-1.75 0-5.5-.141-7.078.484-.547.219-.953.484-1.375.906s-.688.828-.906 1.375c-.625 1.578-.484 5.328-.484 7.078s-.141 5.5.484 7.078c.219.547.484.953.906 1.375s.828.688 1.375.906c1.578.625 5.328.484 7.078.484s5.5.141 7.078-.484c.547-.219.953-.484 1.375-.906s.688-.828.906-1.375c.625-1.578.484-5.328.484-7.078s.141-5.5-.484-7.078c-.219-.547-.484-.953-.906-1.375s-.828-.688-1.375-.906C17.5 4.015 13.75 4.156 12 4.156zM24 14c0 1.656.016 3.297-.078 4.953-.094 1.922-.531 3.625-1.937 5.031s-3.109 1.844-5.031 1.937c-1.656.094-3.297.078-4.953.078s-3.297.016-4.953-.078c-1.922-.094-3.625-.531-5.031-1.937S.173 20.875.08 18.953C-.014 17.297.002 15.656.002 14s-.016-3.297.078-4.953c.094-1.922.531-3.625 1.937-5.031s3.109-1.844 5.031-1.937c1.656-.094 3.297-.078 4.953-.078s3.297-.016 4.953.078c1.922.094 3.625.531 5.031 1.937s1.844 3.109 1.937 5.031C24.016 10.703 24 12.344 24 14z"></path>
</svg>
        </a>
    </li>
  </ul>
</div>

          
            

<form class="languages go" method="get" action="#">
  <label for="language">Other languages:</label>
  
    
    <input type="hidden" name="utm_campaign" value="Wiki Doc Edits">
    
  
    
    <input type="hidden" name="utm_medium" value="email">
    
  
    
    <input type="hidden" name="utm_source" value="developer.mozilla.org">
    
  
  <select id="language" class="autosubmit" name="lang">
    <option title="English (US)" data-locale="en-US" value="en-US">
      English (US) (en-US)
    </option>
    
        <option title="Arabic" data-locale="ar" value="ar">
          عربي (ar)
        </option>
      
        <option title="Bulgarian" data-locale="bg" value="bg">
          Български (bg)
        </option>
      
        <option title="Bambara" data-locale="bm" value="bm">
          Bamanankan (bm)
        </option>
      
        <option title="Bengali" data-locale="bn" value="bn">
          বাংলা (bn)
        </option>
      
        <option title="Catalan" data-locale="ca" value="ca">
          Català (ca)
        </option>
      
        <option title="German" data-locale="de" value="de">
          Deutsch (de)
        </option>
      
        <option title="Greek" data-locale="el" value="el">
          Ελληνικά (el)
        </option>
      
        <option title="Spanish" data-locale="es" value="es">
          Español (es)
        </option>
      
        <option title="Persian" data-locale="fa" value="fa">
          فارسی (fa)
        </option>
      
        <option title="Finnish" data-locale="fi" value="fi">
          suomi (fi)
        </option>
      
        <option title="French" data-locale="fr" value="fr">
          Français (fr)
        </option>
      
        <option title="Hebrew" data-locale="he" value="he">
          עברית (he)
        </option>
      
        <option title="Hindi (India)" data-locale="hi-IN" value="hi-IN">
          हिन्दी (भारत) (hi-IN)
        </option>
      
        <option title="Hungarian" data-locale="hu" value="hu">
          magyar (hu)
        </option>
      
        <option title="Indonesian" data-locale="id" value="id">
          Bahasa Indonesia (id)
        </option>
      
        <option title="Italian" data-locale="it" value="it">
          Italiano (it)
        </option>
      
        <option title="Japanese" data-locale="ja" value="ja">
          日本語 (ja)
        </option>
      
        <option title="Kabyle" data-locale="kab" value="kab">
          Taqbaylit (kab)
        </option>
      
        <option title="Korean" data-locale="ko" value="ko">
          한국어 (ko)
        </option>
      
        <option title="Malay" data-locale="ms" value="ms">
          Melayu (ms)
        </option>
      
        <option title="Burmese" data-locale="my" value="my">
          မြန်မာဘာသာ (my)
        </option>
      
        <option title="Dutch" data-locale="nl" value="nl">
          Nederlands (nl)
        </option>
      
        <option title="Polish" data-locale="pl" value="pl">
          Polski (pl)
        </option>
      
        <option title="Portuguese (Brazilian)" data-locale="pt-BR" value="pt-BR">
          Português (do Brasil) (pt-BR)
        </option>
      
        <option title="Portuguese (Portugal)" data-locale="pt-PT" value="pt-PT">
          Português (Europeu) (pt-PT)
        </option>
      
        <option title="Russian" data-locale="ru" value="ru">
          Русский (ru)
        </option>
      
        <option title="Swedish" data-locale="sv-SE" value="sv-SE">
          Svenska (sv-SE)
        </option>
      
        <option title="Thai" data-locale="th" value="th">
          ไทย (th)
        </option>
      
        <option title="Turkish" data-locale="tr" value="tr">
          Türkçe (tr)
        </option>
      
        <option title="Ukrainian" data-locale="uk" value="uk">
          Українська (uk)
        </option>
      
        <option title="Vietnamese" data-locale="vi" value="vi">
          Tiếng Việt (vi)
        </option>
      
        <option title="Chinese (Simplified)" data-locale="zh-CN" value="zh-CN">
          中文 (简体) (zh-CN)
        </option>
      
        <option title="Chinese (Traditional)" data-locale="zh-TW" value="zh-TW">
          正體中文 (繁體) (zh-TW)
        </option>
      
  </select>
  <noscript><button type="submit">Go</button></noscript>
</form>
          

          
            <ul class="footer-tos">
              <li><a href="https://www.mozilla.org/about/legal/terms/mozilla">Terms</a></li>
              <li><a href="https://www.mozilla.org/privacy/websites/">Privacy</a></li>
              <li><a href="https://www.mozilla.org/privacy/websites/#cookies">Cookies</a></li>
            </ul>

            <div id="license" class="contentinfo">
              <p>&copy; 2005-2020 Mozilla and individual contributors.</p> <p>Content is available under <a href="/en-US/docs/MDN/About#Copyrights_and_licenses">these licenses</a>.</p>
            </div>
          
      </div>
    </footer> 

  <!-- site js -->
  
    

    <script src="/static/jsi18n/en-US/javascript.1f2ccb980cff.js"></script>
    <script type="text/javascript" src="/static/build/js/main.505a4643a12f.js" charset="utf-8"></script>
    
  

  
</body>
</html>